Subject: Re: bug#63363: 28.2; emacs freezes opening python file w/ unclosed quotes

From: Ruijie Yu <[email-masked]>
Date: Tue, 09 May 2023 09:54:42 +0800

James Mazer <[email-masked]> writes:

> Don't have time right now to do a custom build, but as sanity check, I just quickly pulled the 28.2 gnu.org.emacs flatpak and tried that and I get
> exactly the same issue, so it doesn't appear to be specific to the snap build. I can't find a 29 snap or flatpak to test, though.

There is also another bug report (closed as fixed on 29), #62794, that I
think is the same as this report and #62325.  In particular, see this
message within that bug report:

msgid:ZDdE/[email-masked]
https://mail.gnu.org/archive/html/bug-gnu-emacs/2023-04/msg00798.html

What Nick described in #62794 sounds exactly the same as your issue and
Eli's observation: that only _some type(s) of_ python files trigger the
error.  I, as well as Eli, were able to reproduce the issue of #62794
via using the file Nick attached in that message.

James, can you confirm that Nick's issue on #62794 is exactly the same
as yours in this bug report, and that you can also reproduce the issue
using Nick's attachment from that message?

And also, if you want to get a version of 29 to test, you can either get
the pretest or clone the code and run "make".  The resultant emacs
binary is located at "src/emacs".  Let me know if this is unclear.

-- 
Best,

RY